Subject: Re: bug#70014: 29.2; debugging with gdb problem with input/output buffer

From: Eli Zaretskii <[email-masked]>
Date: Tue, 26 Mar 2024 21:20:46 +0200

> Date: Tue, 26 Mar 2024 16:15:51 +0100
> From: Davide Lombardo <[email-masked]>
> 
> When Debugging a simple program with gdb in gdb-many-windows mode,
> when I type any kind of input in the I/O dedicated buffer, I always
> get the message - Output file descriptor of gdb-inferior is
> closed - I can't send input to the program I'm trying to debug, I don't
> get any output either.
> 
> In GNU Emacs 29.2 (build 2, x86_64-w64-mingw32) of 2024-02-29 built on
>   fv-az663-517

This feature doesn't work on MS-Windows because the underlying GDB
feature (set inferior-tty) doesn't.  If someone knows how to fix that,
patches are very welcome, but they are are probably need to be
submitted to GDB, not to Emacs.